%define _jarsign_opts --nocopy

%define as_major 5
%define as_minor 1
%define as_rev 2

Summary:        JBoss AS TP licenses
Name:           jbossas-tp-licenses
Version:        %{as_major}.%{as_minor}.%{as_rev}
Release:        7%{?dist}
Epoch:          0
License:        LGPL
Group:          Development/Installer
URL:            http://www.jboss.org/

BuildRequires: jbossas-tp-mead >= 0:%{as_major}.%{as_minor}.%{as_rev}
BuildRequires: zip, unzip

BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch:     noarch

%description
This package contains additional TP licenses from JBoss AS

%prep

%build
unzip %{_javadir}/jbossas-fordev/jboss-as-thirdparty-%{version}*-thirdparty.zip jboss-as-thirdparty-%{version}*/licenses/*

%install
rm -rf $RPM_BUILD_ROOT

install -d -m 755 $RPM_BUILD_ROOT%{_docdir}/jbossas-%{version}/licenses
install -m 644 jboss-as-thirdparty-%{version}*/licenses/* $RPM_BUILD_ROOT%{_docdir}/jbossas-%{version}/licenses/
rm $RPM_BUILD_ROOT%{_docdir}/jbossas-%{version}/licenses/GNU\ LESSER\ GENERAL\ PUBLIC\ LICENSE\ -\ lgpl.txt

%files
%defattr(-,root,root,-)
%dir %{_docdir}/jbossas-%{version}
%dir %{_docdir}/jbossas-%{version}/licenses
%{_docdir}/jbossas-%{version}/*

%changelog
* Thu Nov 10 2011 Martha Benitez <mbenitez@redhat.com> 5.1.2-7
- Rebuild

* Mon Nov 07 2011 Martha Benitez <mbenitez@redhat.com> 5.1.2-6
- Rebuild

* Tue Nov 01 2011 Martha Benitez <mbenitez@redhat.com> 5.1.2-4
- Rebuild

* Mon Sep 19 2011 Martha Benitez <mbenitez@redhat.com> 5.1.2-3
- Rebuild

* Wed Sep 14 2011 Permaine Cheung <pcheung@redhat.com> 5.1.2-2
- Rebuild

* Wed Aug 17 2011 Permaine Cheung <pcheung@redhat.com> 5.1.2-1
- 5.1.2 build
- Remove case-insensitive dup license file

* Wed Jun 15 2011 Permaine Cheung <pcheung@redhat.com> 5.1.1-1
- First release
